Debian Bug report logs - #659433
wwwstat: Uses perl4 corelibs without Depends

version graph

Package: wwwstat; Maintainer for wwwstat is Peter Pentchev <roam@ringlet.net>; Source for wwwstat is src:wwwstat.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sat, 11 Feb 2012 00:06:16 UTC

Severity: normal

Found in version wwwstat/2.0-6

Fixed in version wwwstat/2.0-7

Done: Peter Pentchev <roam@ringlet.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#659433; Package wwwstat. (Sat, 11 Feb 2012 00:06:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Peter Pentchev <roam@ringlet.net>. (Sat, 11 Feb 2012 00:06:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: wwwstat: Uses perl4 corelibs without Depends
Date: Sat, 11 Feb 2012 00:04:59 +0000
Package: wwwstat
Version: 2.0-6
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

usr/sbin/oldlog2new:78 getopts.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Reply sent to Peter Pentchev <roam@ringlet.net>:
You have taken responsibility. (Sat, 03 Mar 2012 00:06:08 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 00:06:09 GMT) Full text and rfc822 format available.

Message #10 received at 659433-close@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: 659433-close@bugs.debian.org
Subject: Bug#659433: fixed in wwwstat 2.0-7
Date: Sat, 03 Mar 2012 00:02:38 +0000
Source: wwwstat
Source-Version: 2.0-7

We believe that the bug you reported is fixed in the latest version of
wwwstat, which is due to be installed in the Debian FTP archive:

wwwstat_2.0-7.debian.tar.gz
  to main/w/wwwstat/wwwstat_2.0-7.debian.tar.gz
wwwstat_2.0-7.dsc
  to main/w/wwwstat/wwwstat_2.0-7.dsc
wwwstat_2.0-7_all.deb
  to main/w/wwwstat/wwwstat_2.0-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659433@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Pentchev <roam@ringlet.net> (supplier of updated wwwstat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 03 Mar 2012 01:48:24 +0200
Source: wwwstat
Binary: wwwstat
Architecture: source all
Version: 2.0-7
Distribution: unstable
Urgency: low
Maintainer: Peter Pentchev <roam@ringlet.net>
Changed-By: Peter Pentchev <roam@ringlet.net>
Description: 
 wwwstat    - httpd logfile analysis package
Closes: 659433
Changes: 
 wwwstat (2.0-7) unstable; urgency=low
 .
   * Update the copyright file:
     - add a dot to fix the formatting
     - update to the latest DEP 5 candidate format
     - change "Artistic (old)" to "Artistic-1.0"
     - bump the year on my copyright notice
   * Convert the packaging to Git and change the Vcs-* URLs to Gitorious.
   * Add the 09-getopt patch to use Getopt::Std instead of the Perl 4
     getopt library.  Closes: #659433
   * Bump Standards-Version to 3.9.3 with no changes.
   * Bump the debhelper compatibility level to 9 with no changes.
   * Add Multi-Arch: foreign to the binary package just in case.
   * Drop the version from the dependency on perl.
Checksums-Sha1: 
 84c02060f68edd06b96534c1483f593b2910bb60 1850 wwwstat_2.0-7.dsc
 daa2212018a9966c3b8f095eba2bb89985d4c501 13624 wwwstat_2.0-7.debian.tar.gz
 c7395ae0b40ec2892bd511c5ec1601e95b330057 129900 wwwstat_2.0-7_all.deb
Checksums-Sha256: 
 4d942f3751b999c7520f7f4c27333f932ce1aa0bfe97406881e9d2b4d02afef7 1850 wwwstat_2.0-7.dsc
 97cf73676dd843dbda17c0ab81672ae5278e9e2aa214798da279d66a25c8e3bc 13624 wwwstat_2.0-7.debian.tar.gz
 c8cefb63fcaa9a2b0c23ebbf13576c8b6d49a9b36b8e038c3b4d0e23cb441a01 129900 wwwstat_2.0-7_all.deb
Files: 
 4e87c167964b544ba86f9a91cdba0d43 1850 admin optional wwwstat_2.0-7.dsc
 c6e792f853d73b72eb4a6ae677abfb52 13624 admin optional wwwstat_2.0-7.debian.tar.gz
 a2efd3c8a4f3c24f570eeec64ef9d1a9 129900 admin optional wwwstat_2.0-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPUV0oAAoJEGUe77AlJ98T8z4P/1VBskrdqjHuqsES8bVVDNz9
QkuGHmGWP6ApBJr69JV3+psCSiK5c1hl7iTirkQ5L+HObS5T+OgW/6KUHt+Bv/vT
0x6UPH2vcD8hE3VLHmzi4QhqwWj8dPWTMbVt/rQppVBN8e0hKNK9H8iLqbp+Ar3S
pXSbAvDvfscNvH7uFq629az/4CJnMgpBqrUSIaXzsnHMBjfcUI6oOGdCP0zJ28+m
0VHPEV385r/HCRWMMILfIePSgrmMM+9DEqhPYQcCPvMI4VIqali9ogHNMtPQfZSA
fG7mFWCkjILtf1Q9KUJwW8DgVbL3GALLgNH3xpLmoJZiok75Z1UKxiNlwXBih+b8
ZSQjeuH8DZZzGG5/YK2UW1BcSN5vG3C0fJiDNttlz9KlqzAbiI5AQvEildtG6Gnc
B/fo+O3YEnsy7N361JWH7NMsGRLNbFm73EWynp8RIVhW02Qm9aWUJR3Y7PtENQPd
/pQcGPrmKcpoUTxHG0fsNxJGUnmRV7BUiSG8pUquzh1x1rL3hGz3a7iJ31MfWOBk
8StLDXgvSnAxGd8rm83rALbCNPwsgkEst/XXds1ig+dHWNg9JJdaELDbgfH7gNgr
gRdxyD1bKyhWXWSsR0q+hhAEzEPaPHgWjbZ+i8skiNfNTKtN1pbOiOn2MdlSi35n
XYMB2z+6cun4SWi1ZnOZ
=DBbh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Apr 2012 07:35:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:01:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.